# Комманды сервисов / микросервисов на NodeJS

Для работы используется пакетный менеджер: **`yarn`**

## Список комманд:

```
1) yarn setup       - загрузка всех зависимостей и инициализация husky
2) yarn dev         - запуск проекта в режиме разработки
3) yarn start       - запуск проекта
4) yarn test        - запуск тестов
5) yarn test:watch  - запуск тестов в режиме просмотра изменений
6) yarn build       - сборка приложения
7) yarn lint        - проверка качества кода linter'ом
8) yarn code:format - форматирование кода prettier'ом
9) yarn code:check  - проверка кода prettier'ом
```

## Примечание:

В первую очередь, перед началом работы в проекте, необходимо выполнить команду: 

```
yarn setup 
```

Она установит все зависимости в проект и настроит `husky`